API Doc
Languages
Languages
  • English
  • 简体中文
Languages
Languages
  • English
  • 简体中文
  1. 7. Web payment
  • API Signature Process
  • API General Code
  • 1. Callback
    • Merchant Subscription Event Notification - Signature Process
  • 2. Account
    • 2.1 Check Account Balance
      GET
    • 2.2 Payment Statement
      POST
    • 2.3 Payout Statement
      POST
  • 3. Payout
    • Payout Product Flow Chart
    • Open API Channel List
    • 3.1 Create Payout
      POST
    • 3.3 Payout Callback Notification
      POST
    • 3.2 Check Payout Status
      GET
  • 4. Bills Payment
    • Bills Payment Product Flow Chart
    • Bills Payment ChannelCode List
    • 4.1 Create Static Virtual Account
      POST
    • 4.2 Batch Create Static Virtual Account
      POST
    • 4.3 Update Static Virtual Account
      POST
    • 4.4 Get Virtual Account Cashier Short Url
      POST
    • 4.5 Get Virtual Account's Payments
      GET
    • 4.6 Repayment verification API
      POST
    • 4.7 Cancel Static Virtual Account
      POST
    • 4.8 Virtual Account Callback Notification
      POST
  • 5. QrCode
    • QrCode Product Flow Chart
    • QrCode ChannelCode List
    • 5.1 Create QR Code
    • 5.2 Get QR Code Detail
    • 5.3 Get QR Code Payments
    • 5.4 Cancel QR Code
    • 5.6 Update QR Code
    • 5.5 QR Code Callback Notification
  • 6. Bank Transfer
    • Bank Transfer Product Flow Chart
    • Bank Transfer ChannelCode List
    • 6.1 Batch Create Bank Transfer Account
    • 6.2 Batch Update Bank Transfer Account
    • 6.3 Bank Transfer Account Payments
    • 6.4 Bank Transfer Callback Notification
  • 7. Web payment
    • Web Payment Product Flow Chart
    • Web Payment ChannelCode List
    • 7.1 Create Web Payment
      POST
    • 7.2 Check Web Payment Status
      GET
    • 7.3 Web Payment Channels
      GET
    • 7.4 Web Payment Callback Notification
      POST
  • 8. Refund
    • Refund Support Channel List
    • 8.1 Create Refund
    • 8.2 Get Refund Payments
    • 8.3 Refund Callback Notification
  • 9. Checkout
    • 9.1 Query the channels supported by the cashier counter
    • 9.2 Create the checkout counter
    • 9.3 Check the cashier counter
    • 9.4 Close the cashier counter
    • 9.5 Checkout Payment Notification
  • 10. Direct Debit
    • Direct Debit Channel Code List
    • Authorization
      • 10.1 Create Authorization Link
      • 10.2 Check Authorization Status
      • 10.3 Cancel Authorization
      • 10.4 Authorization Notification
    • Orders
      • 10.5 Create Payment
      • 10.6 Check Payment Status
      • 10.7 Payment Notification
  • 11. Ekyc
    • Ekyc Channel Code List
    • 11.1 Ekyc Init
    • 11.2 Ekyc Check Result
    • 11.3 Ekyc Notification
  • Schemas
    • Response body
  1. 7. Web payment

7.3 Web Payment Channels

GET
/api/v1/payment/channels

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/payment/channels?appId=your%20appid&sign=45eebd745dcf0b5f6d6f9fcde28cd9fe8116a892'

Responses

🟢200SUCCESS
application/json
Bodyapplication/json

Example
{
    "code": 1000,
    "message": "success",
    "data": [
        {
            "image": "images/72ee1db38283443ebf52bc7eb12cb7b3112.png",
            "imageUrl": "https://calf.oss-cn-shanghai.aliyuncs.com/images/72ee1db38283443ebf52bc7eb12cb7b3112.png",
            "channelName": "GCash",
            "channelCode": "GCASH_URL"
        },
        {
            "image": "images/00f37e707dc845e6ad269ebef17f4e5869.png",
            "imageUrl": "https://calf.oss-cn-shanghai.aliyuncs.com/images/00f37e707dc845e6ad269ebef17f4e5869.png",
            "channelName": "Coins.ph Wallet / Bitcoin",
            "channelCode": "COINS_URL"
        },
        {
            "image": "images/a367205ccc5b4a6abdd9cb9d237b6648115.png",
            "imageUrl": "https://calf.oss-cn-shanghai.aliyuncs.com/images/a367205ccc5b4a6abdd9cb9d237b6648115.png",
            "channelName": "Paymaya Online",
            "channelCode": "PAYMAYA_URL"
        },
        {
            "image": "images/db17829a525f42b699d9e4f67d9017cc73.png",
            "imageUrl": "https://calf.oss-cn-shanghai.aliyuncs.com/images/db17829a525f42b699d9e4f67d9017cc73.png",
            "channelName": "BPI Online",
            "channelCode": "BPIA_URL"
        },
        {
            "image": "images/f049282e67c34a0c9265889c7789b91272.png",
            "imageUrl": "https://calf.oss-cn-shanghai.aliyuncs.com/images/f049282e67c34a0c9265889c7789b91272.png",
            "channelName": "Unionbank Online Banking",
            "channelCode": "UBPB_URL"
        },
        {
            "image": "images/c38ddd79d6014981b9a0203444f4efac73.png",
            "imageUrl": "https://calf.oss-cn-shanghai.aliyuncs.com/images/c38ddd79d6014981b9a0203444f4efac73.png",
            "channelName": "GrabPay",
            "channelCode": "GRPY_URL"
        },
        {
            "image": "images/c38ddd79d6014981b9a0203444f4efac73.png",
            "imageUrl": "https://calf.oss-cn-shanghai.aliyuncs.com/images/c38ddd79d6014981b9a0203444f4efac73.png",
            "channelName": "Alipay-Wap Pay",
            "channelCode": "ZFB_URL"
        }
    ]
}
Previous
7.2 Check Web Payment Status
Next
7.4 Web Payment Callback Notification
Built with